Competitor Tracker & Co. Docs

List the tracked pages associated with a subscribed competitor.

List the tracked pages associated with a subscribed competitor — Competitor Tracker & Co. API reference for GET /v1/competitors/{competitorId}/pages: request.

Required role: member or higher (organization-level).

Required scope: pages:read (for both OAuth2 tokens and API keys).

GET
/v1/competitors/{competitorId}/pages

Authorization

X-API-Key<token>

In: header

Path Parameters

competitorId*string
Length1 <= length

Query Parameters

pageType?string

Response Body

application/json

application/json

application/json

curl -X GET "https://api.competitortracker.io/v1/competitors/01HF.../pages"
{
  "items": [
    {
      "id": "string",
      "competitorId": "string",
      "url": "string",
      "normalizedUrl": "string",
      "pageType": "pricing",
      "discoverySource": "llm",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "resolution": "string"
}
{
  "code": "string",
  "message": "string",
  "resolution": "string"
}